Subject: Re: WARNING: at mm/slub.c:3357, kernel BUG at mm/slub.c:3413

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 22 Nov 2011 13:17:15 +1100

On Mon, 2011-11-21 at 16:21 -0800, Christian Kujau wrote:
> On Tue, 22 Nov 2011 at 07:27, Benjamin Herrenschmidt wrote:
> > Note that I hit a similar looking crash (sorry, I couldn't capture a
> > backtrace back then) on a PowerMac G5 (ppc64) while doing a large rsync
> > transfer yesterday with -rc2-something (cfcfc9ec) and 
> > Christian Kujau (CC) seems to be able to reproduce something similar on
> > some other ppc platform (Christian, what is your setup ?)
> 
> I seem to hit it with heavy disk & cpu IO is in progress on this PowerBook 
> G4. Full dmesg & .config: http://nerdbynature.de/bits/3.2.0-rc1/oops/
> 
> I've enabled some debug options and now it really points to slub.c:2166
> 
>    http://nerdbynature.de/bits/3.2.0-rc1/oops/oops4m.jpg
> 
> With debug options enabled I'm currently in the xmon debugger, not sure 
> what to make of it yet, I'll try to get something useful out of it :)

Is your powerbook one of those who can actually use xmon ? (ie, keyboard
is working ? If it's usb it won't but if it's adb it will).

You probably landed there too late tho, after the corruption happened.

What would be useful would be to see if you can reproduce with SLAB
and/or after backing out the cpu partial functionality.

Cheers,
Ben.

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Fight unfair telecom internet charges in Canada: sign http://stopthemeter.ca/
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>